import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../views/Index.vue'

Vue.use(VueRouter)

const routes = [{
		path: '/',
		name: 'home',
		redirect: '/index'
	},
	{
		path: '/index',
		name: 'index',
		component: Index
	},
	{
		path: '/about',
		name: 'About',
		component: () => import('../views/About.vue')
	},
	{
		path: '/point',
		name: 'point',
		component: () => import('../views/point.vue')
	},
	{
		path: '/FanStatusQueryExport',
		name: 'FanStatusQueryExport',
		component: () => import('../views/FanStatusQueryExport/FanStatusQueryExport.vue')
	},
	{
		path: '/gradeEvaluation',
		name: 'gradeEvaluation',
		component: () => import('../components/gradeEvaluation/GradeEvaluation.vue')
	}
]

const router = new VueRouter({
	mode: 'hash',
	base: process.env.BASE_URL,
	routes
})

export default router
